
/*
 * wsformmailer CSS ここから
 */
.wsm * {
  box-sizing: border-box;
}

.wsm_loading,
.wsm_input .wsm_confirmitem:not(.wsm_confirmarea-thumb),
.wsm_input .wsm_backbtn,
.wsm_input .wsm_confirmarea-thumb,
.wsm_confirm .wsm_notinconfirm,
.wsm_confirm .wsm_inputarea:not(.wsm_fieldset),
.wsm_confirm .wsm_erroritem,
.wsm_confirm .wsm_fieldset label,
.wsm_confirm.wsm_inputonce .wsm_written::before,
.wsm_confirm.wsm_inputonce .wsm_written::after,
.wsm_sending #wsm,
.wsm_sending .wsm_notinconfirm,
.wsm_done #wsm,
.wsm_done .wsm_notinconfirm{
  display: none !important;
}
.wsm_confirmarea,
.wsm_sendingarea,
.wsm_donearea{
  display: none !important;
}
.wsm_confirm .wsm_confirmarea,
.wsm_sending .wsm_sendingarea,
.wsm_done .wsm_donearea{
  display: block !important;
}

/* button */
.wsm_btn:disabled{
  opacity: 0.15;
}
.wsm_btn{
  display: inline-block;
  margin-left: 7px;
  margin-right: 7px;
}
.wsm_backbtn{
  border: solid 1px #f77ebc;
  background: #fddced;
  color: #f01586;
  font-weight: normal;
  text-shadow: none;
}
/* input */

.wsm_hidden{
  display: none;
}
.wsm_fieldset{
  border:none;
  margin: 0;
  padding: 0;
}
.wsm_required{
  display: inline-block;
  margin-left: 0.5em;
   color: #c00;
   font-size: 0.95rem;
}
.wsm_required::before{
  content: "※";
  display: inline-block;
  margin-right: 0.25em;
}
.wsm_inputarea{
  display: table;
  position: relative;
  margin: 0;
  padding: 0 2em 0 0;
  border: none;
}
.wsm_inputarea-file{
  width: 20em;
  max-width: 100%;
}
.wsm_label{
  display: block;
  border: none;
  padding: 0;
  margin: 1em 0 0.5em;
  font-weight: bold;
}

.wsm input[type="text"],
.wsm input[type="email"],
.wsm input[type="tel"],
.wsm input[type="url"],
.wsm input[type="time"],
.wsm input[type="datetime"],
.wsm input[type="number"],
.wsm textarea,
.wsm select {
  padding: 0.5em;
  border: solid thin #999;
  border-radius: 0.25em;
  font-size: 16px;
}
.wsm_inputonce .wsm_written input,
.wsm_inputonce .wsm_written textarea,
.wsm_inputonce .wsm_written select {
  border-color: #5c5;
}
.wsm_inputonce .wsm_haserror input,
.wsm_inputonce .wsm_haserror textarea,
.wsm_inputonce .wsm_haserror select {
  border-color: #c00;
}

.wsm_radio,
.wsm_check{
  display: inline-block;
  margin: 0;
  padding: 0;
}
.wsm_radio_btn,
.wsm_check_btn{
  display: none;
}
.wsm_radio_label,
.wsm_check_label{
  position: relative;
  display: inline-block;
  margin: 0.25em 0.25em 0.25em 0;
  padding: 0.25em 1em 0.25em 2rem;
  border: solid thin #ccc;
  border-radius: 0.25em;
}
.wsm_radio_label::before,
.wsm_check_label::before{
  content: "";
  position: absolute;
  left: 0.45em;
  top: 0.4em;
  width: 0.8em;
  height: 0.8em;
  border: solid 0.2em #999;
  border-radius: 50%;
  font-size: 1rem;
}
.wsm_check_label::before{
  border-radius: 0.25em;
}
.wsm_radio_btn:checked + .wsm_radio_label,
.wsm_check_btn:checked + .wsm_check_label{
  border-color: #9d9;
}
.wsm_radio_btn:checked + .wsm_radio_label::before{
  left: 0.65em;
  top: 0.55em;
  width: 0.45em;
  height: 0.45em;
  border: solid 0.2em #fff;
  border-radius: 50%;
  background: #5c5;
  box-shadow: 0 0 0 0.2em #ccc;
  font-size: 1rem;
}
.wsm_check_btn:checked + .wsm_check_label::after{
  content: "";
  position: absolute;
  left: 0.7em;
  top: 0.5em;
  width: 0.7em;
  height: 0.4em;
  border-left: solid 0.23em #5c5;
  border-bottom: solid 0.23em #5c5;
  transform: rotate(-45deg);
  font-size: 1rem;
}

.wsm_erroritem{
  visibility: hidden;
  position: relative;
  color: #c00;
  font-size: 0.85em;
}
.wsm_inputonce .wsm_erroritem.shown{
  visibility: visible;
}
.wsm_inputonce .wsm_written::before{
  content: "";
  position: absolute;
  top: 0.5em;
  right: 0;
  width: 1.25em;
  height: 1.25em;
  border-radius: 50%;
  background: #5c5;
}
.wsm_inputonce .wsm_written::after{
  content: "";
  position: absolute;
  top: 0.75em;
  right: 0.25em;
  width: 0.6em;
  height: 0.3em;
  border-left: solid 0.23em #fff;
  border-bottom: solid 0.23em #fff;
  transform: rotate(-45deg);
}
.wsm_inputonce .wsm_haserror::before{
  content: "";
  position: absolute;
  top: 0.5em;
  right: 0;
  width: 1.25em;
  height: 1.25em;
  border-radius: 50%;
  background: #c00;
}
.wsm_inputonce .wsm_haserror::after{
  content: "";
  position: absolute;
  top: 1em;
  right: 0.25em;
  width: 0.75em;
  height: 0;
  border-top:solid 0.3em #fff;
  border-left: none;
  border-bottom: none;
  transform: none;
}
.wsm_selectarea select{
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 100%;
    margin:  0;
    padding: 0.5em 2.5em 0.5em 0.5em;
    background: transparent;
    position: relative;
    z-index: 1;
    border: solid thin #a6a69a;
    border-radius: 0.25em;
}
.wsm_selectarea select::-ms-expand {
    display: none;
}
.wsm_selectarea{
  position: relative;
  display: inline-block;
  max-width: calc(87vw - 2em);
  margin: 0;
}

.wsm_selectarea::after{
    content: '';
    position: absolute;
    z-index: 0;
    top: 0;
    bottom: 0;
    margin: auto 0;
    right: 0.6em;
    width: 0;
    height: 0;
    border-top: solid 0.6em #e0007f;
    border-left: solid 0.4em transparent;
    border-right: solid 0.4em transparent;
}

.wsm_spinner {
  margin: 100px auto 0;
  width: 70px;
  text-align: center;
  opacity: 0.15;
}

.wsm_spinner > div {
  width: 18px;
  height: 18px;
  background-color: #333;

  border-radius: 100%;
  display: inline-block;
  -webkit-animation: wsm_bouncedelay 1.4s infinite ease-in-out both;
  animation: wsm_bouncedelay 1.4s infinite ease-in-out both;
}

.wsm_spinner .wsm_bounce1 {
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}

.wsm_spinner .wsm_bounce2 {
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}

@-webkit-keyframes wsm_bouncedelay {
  0%, 80%, 100% { -webkit-transform: scale(0) }
  40% { -webkit-transform: scale(1.0) }
}

@keyframes wsm_bouncedelay {
  0%, 80%, 100% {
    -webkit-transform: scale(0);
    transform: scale(0);
  } 40% {
    -webkit-transform: scale(1.0);
    transform: scale(1.0);
  }
}


/*
 * wsformmailer CSS ここまで
 */

 input[type="text"],
 input[type="email"],
 input[type="tel"]{
   width: 20em;
   max-width: calc(100vw - 3em);
 }
 input[type="url"]{
   width: 40em;
   max-width: calc(100vw - 3em);
 }
 textarea{
   display: block;
   width: 40em;
   max-width: calc(100vw - 3em);
   height: 10em;
 }

.form__hdr{
  margin: 2rem 0 1rem;
  padding: 0.5em;
  color: #eb6da5;
  background: #eee;
  font-size: 1.1em;
}

.form__shortitems{
  display: flex;
  align-items: flex-end;
}
.form__shortitems__item--letter{
  margin: 0 0.5em 1.75em ;
}
